> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/revenue/totals

> Revenue totals for fixed periods (yesterday, this week, this month and the last 30 days), each with its previous period for comparison. 

For any other date range, use `/v1/report/insight/revenue`



## OpenAPI

````yaml /openapi.json get /v1/report/insight/revenue/totals
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: AI
  - name: AI/Activity
  - name: Billing
  - name: Billing/Invoice
  - name: Audit Log
  - name: '[IN PROGRESS] Integration'
  - name: '[IN PROGRESS] Integration/Mapping'
  - name: '[IN PROGRESS] User'
  - name: '[IN PROGRESS] User/Account'
  - name: public
paths:
  /v1/report/insight/revenue/totals:
    get:
      tags:
        - Reporting/Insights Hub/Revenue Insights
        - public
      summary: /report/insight/revenue/totals
      description: >-
        Revenue totals for fixed periods (yesterday, this week, this month and
        the last 30 days), each with its previous period for comparison. 


        For any other date range, use `/v1/report/insight/revenue`
      parameters:
        - name: uid
          in: query
          description: >-
            One or more publisher IDs, comma-separated. Defaults to all
            publishers in your organisation
          required: false
          schema:
            type: string
        - name: rev_type
          in: query
          description: Revenue type
          required: false
          schema:
            type: string
            enum:
              - gross
              - net
            default: gross
        - name: rev_source
          in: query
          description: Revenue source, SaaS or Plug&Play (pap)
          required: false
          schema:
            type: string
            enum:
              - all
              - pap
              - saas
            default: all
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                required:
                  - results
                  - success
                properties:
                  results:
                    type: object
                    required:
                      - currency
                      - yesterday
                      - yesterday_compare
                      - week_to_date
                      - week_to_date_compare
                      - month_to_date
                      - month_to_date_compare
                      - thirty_days
                      - thirty_days_compare
                      - last_week
                      - last_week_compare
                      - last_month
                      - last_month_compare
                    properties:
                      currency:
                        type: string
                        description: Currency code all revenue is converted to
                      yesterday:
                        type: number
                        description: Revenue for yesterday
                      yesterday_compare:
                        type: number
                        description: Revenue for the day before yesterday
                      week_to_date:
                        type: number
                        description: >-
                          Revenue for the current week so far, Monday to
                          yesterday
                      week_to_date_compare:
                        type: number
                        description: Revenue for the same days of the previous week
                      month_to_date:
                        type: number
                        description: Revenue for the current month so far, to yesterday
                      month_to_date_compare:
                        type: number
                        description: Revenue for the same days of the previous month
                      thirty_days:
                        type: number
                        description: Revenue for the 30 days ending yesterday
                      thirty_days_compare:
                        type: number
                        description: Revenue for the 30 days before that
                      last_week:
                        type: number
                        description: Revenue for the last full week, Monday to Sunday
                      last_week_compare:
                        type: number
                        description: Revenue for the week before that
                      last_month:
                        type: number
                        description: Revenue for the last full calendar month
                      last_month_compare:
                        type: number
                        description: Revenue for the month before that
                  success:
                    type: boolean
              example:
                results:
                  currency: GBP
                  yesterday: 1069.84
                  yesterday_compare: 1012.37
                  week_to_date: 2136.96
                  week_to_date_compare: 2041.58
                  month_to_date: 21874.12
                  month_to_date_compare: 20915.66
                  thirty_days: 31650.43
                  thirty_days_compare: 30402.19
                  last_week: 7318.27
                  last_week_compare: 7095.84
                  last_month: 30287.55
                  last_month_compare: 31104.92
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.